Cards, prop trading & accounting
Create Consumer Rain User
Submits the caller's personal/KYC details to Rain's consumer application endpoint and upserts the local Rain user.
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/hris/create-consumer-rain-user' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"countryFlowType": "US",
"occupation": "string",
"annualSalary": "string",
"accountPurpose": "string",
"expectedMonthlyVolume": "string",
"cardLimitCents": 0,
"birthDate": "string",
"nationalId": "string",
"countryOfIssue": "string",
"phoneCountryCode": "string",
"phoneNumber": "string",
"address": {
"line1": "string",
"city": "string",
"region": "string",
"postalCode": "string",
"countryCode": "string",
"line2": "string"
}
}'{
"rainUserId": "string",
"applicationStatus": "string",
"verificationUrl": "string",
"isNewUser": true
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
countryFlowTypestringrequiredAvailable options: US, INTERNATIONAL
occupationstringrequiredannualSalarystringrequiredAllowed: at least 1 characters
accountPurposestringrequiredAllowed: at least 1 characters
expectedMonthlyVolumestringrequiredAllowed: at least 1 characters
cardLimitCentsintegerAllowed: at least 1
birthDatestringrequiredAllowed: matches ^\d{4}-\d{2}-\d{2}$
nationalIdstringrequiredAllowed: at least 1 characters
countryOfIssuestringrequiredAllowed: 2 to 2 characters
phoneCountryCodestringrequiredAllowed: 1 to 3 characters
phoneNumberstringrequiredAllowed: 1 to 15 characters
addressobjectrequiredShow child attributes
line1stringrequiredAllowed: at least 1 characters
citystringrequiredAllowed: at least 1 characters
regionstringrequiredAllowed: at least 1 characters
postalCodestringrequiredAllowed: at least 1 characters
countryCodestringrequiredAllowed: 2 to 2 characters
line2stringResponse
200Successful response
rainUserIdstringrequiredapplicationStatusstringrequiredverificationUrlstring | nullrequiredisNewUserbooleanrequired